Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml
Interface WMLSelectElement

All Superinterfaces:
  Element, Node, WMLElement

All Known Implementing Classes:
  WMLSelectElementImpl

Deprecated. 9.2.0.0 Replaced by org.apache.wml.WMLSelectElement.

    public interface WMLSelectElement

extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'select' element lets user pick from a list of options. (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getIName()` Deprecated.
`String` | `getIValue()` Deprecated.
`boolean` | `getMultiple()` Deprecated.
`String` | `getName()` Deprecated.
`int` | `getTabIndex()` Deprecated.
`String` | `getTitle()` Deprecated.
`String` | `getValue()` Deprecated.
`String` | `getXmlLang()` Deprecated.
`void` | `setIName(String newValue)` Deprecated. 'iname' specifies name of variable to be set with the index result of selection.
`void` | `setIValue(String newValue)` Deprecated. 'ivalue' specifies the default of the variable 'iname'
`void` | `setMultiple(boolean newValue)` Deprecated. 'multiple' indicates whether a list accept multiple selection (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
`void` | `setName(String newValue)` Deprecated. 'name' specifies the name of variable to be set.
`void` | `setTabIndex(int newValue)` Deprecated. 'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
`void` | `setTitle(String newValue)` Deprecated. 'title' specifies a title for this element (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
`void` | `setValue(String newValue)` Deprecated. 'value' specifics the default value of the variable of 'name' (Section 11.6.2.1, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(String newValue)` Deprecated. 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from interface weblogic.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### setTabIndex

    void setTabIndex(int newValue)

  Deprecated.
  'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)

### getTabIndex

    int getTabIndex()

  Deprecated.

### setMultiple

    void setMultiple(boolean newValue)

  Deprecated.
  'multiple' indicates whether a list accept multiple selection (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

### getMultiple

    boolean getMultiple()

  Deprecated.

### setName

    void setName(String newValue)

  Deprecated.
  'name' specifies the name of variable to be set. (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

### getName

    String getName()

  Deprecated.

### setValue

    void setValue(String newValue)

  Deprecated.
  'value' specifics the default value of the variable of 'name' (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

### getValue

    String getValue()

  Deprecated.

### setTitle

    void setTitle(String newValue)

  Deprecated.
  'title' specifies a title for this element (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

### getTitle

    String getTitle()

  Deprecated.

### setIName

    void setIName(String newValue)

  Deprecated.
  'iname' specifies name of variable to be set with the index result of selection. (Section 11.6.2.1, WAP WML Version 16-Jun-1999)

### getIName

    String getIName()

  Deprecated.

### setIValue

    void setIValue(String newValue)

  Deprecated.
  'ivalue' specifies the default of the variable 'iname'

### getIValue

    String getIValue()

  Deprecated.

### setXmlLang

    void setXmlLang(String newValue)

  Deprecated.
  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    String getXmlLang()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD